

#define IMMEDIATE32(reg,val) reg = val(z); reg ## .h = val

#define lo(con32) (con32 & 0xFFFF)
#define hi(con32) ((con32 >> 16) & 0xFFFF)




// Interrupt Controller
#define IVEC0  0x00
#define IVEC1  0x04
#define IVEC2  0x08
#define IVEC3  0x0C
#define IVEC4  0x10
#define IVEC5  0x14
#define IVEC6  0x18
#define IVEC7  0x1C
#define IVEC8  0x20
#define IVEC9  0x24
#define IVEC10 0x28
#define IVEC11 0x2C
#define IVEC12 0x30
#define IVEC13 0x34
#define IVEC14 0x38
#define IVEC15 0x3C

#define EVT_OWR   0x00
#define EVT_IMASK 0x04


